Bug 21464 - Overdues export is missing lot of fields
Summary: Overdues export is missing lot of fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 18789 21463
Blocks: 15139
  Show dependency treegraph
 
Reported: 2018-10-01 16:59 UTC by Jonathan Druart
Modified: 2019-10-14 19:57 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21464: Fix overdue list export (3.62 KB, patch)
2018-10-01 20:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21464: Fix overdue list export (3.68 KB, patch)
2018-10-08 13:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21464: Fix overdue list export (3.73 KB, patch)
2018-10-08 20:39 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 21464: Hide patron's title not biblio's title (976 bytes, patch)
2018-10-09 17:01 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21464: Fix overdue list export (3.73 KB, patch)
2018-10-09 20:37 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 21464: Hide patron's title not biblio's title (1.01 KB, patch)
2018-10-09 20:37 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-10-01 16:59:50 UTC
Caused by
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

And maybe before
Comment 1 Jonathan Druart 2018-10-01 17:01:54 UTC
Was also broken by
  commit e09ed656af5f75a82ccfa29318081e217618c32d
  Bug 18403: Only display libraries from group in dropdown lists
Comment 2 Jonathan Druart 2018-10-01 20:21:27 UTC
Created attachment 79783 [details] [review]
Bug 21464: Fix overdue list export

commit e09ed656af5f75a82ccfa29318081e217618c32d
  Bug 18403: Only display libraries from group in dropdown lists
and
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

broke the overdue list export.

Test plan:
Create some overdues
Export them: "Home › Circulation › Overdues" then click the link on top
of the table.
All the different columns of the generated CSV file must be filled
correctly
Comment 3 Martin Renvoize 2018-10-08 13:01:44 UTC
Created attachment 80215 [details] [review]
Bug 21464: Fix overdue list export

  commit e09ed656af5f75a82ccfa29318081e217618c32d
  Bug 18403: Only display libraries from group in dropdown lists
and
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

broke the overdue list export.

Test plan:
Create some overdues
Export them: "Home › Circulation › Overdues" then click the link on top
of the table.
All the different columns of the generated CSV file must be filled
correctly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-10-08 13:02:06 UTC
Works as expected for me, signing off
Comment 5 Chris Cormack 2018-10-08 20:39:07 UTC
Created attachment 80236 [details] [review]
Bug 21464: Fix overdue list export

commit e09ed656af5f75a82ccfa29318081e217618c32d
  Bug 18403: Only display libraries from group in dropdown lists
and
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

broke the overdue list export.

Test plan:
Create some overdues
Export them: "Home › Circulation › Overdues" then click the link on top
of the table.
All the different columns of the generated CSV file must be filled
correctly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Nick Clemens 2018-10-09 10:23:43 UTC
This changes dueborrowertitle to title in the private fields list, both are wrong - it should be borrowertitle. Currently this patch hides the book title when the staff is not allowed to view patron infos
Comment 7 Jonathan Druart 2018-10-09 17:01:30 UTC
Created attachment 80297 [details] [review]
Bug 21464: Hide patron's title not biblio's title
Comment 8 Chris Cormack 2018-10-09 20:37:09 UTC
Sorry about missing that Nick, have signed off the follow up patch.
Comment 9 Chris Cormack 2018-10-09 20:37:16 UTC
Created attachment 80310 [details] [review]
Bug 21464: Fix overdue list export

commit e09ed656af5f75a82ccfa29318081e217618c32d
  Bug 18403: Only display libraries from group in dropdown lists
and
  commit 0ab22e1c7c6b6e8d14a4fb7478ab2a3d42da347d
  Bug 18789: Send Koha::Patron object to the templates

broke the overdue list export.

Test plan:
Create some overdues
Export them: "Home › Circulation › Overdues" then click the link on top
of the table.
All the different columns of the generated CSV file must be filled
correctly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 10 Chris Cormack 2018-10-09 20:37:37 UTC
Created attachment 80311 [details] [review]
Bug 21464: Hide patron's title not biblio's title

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 11 Tomás Cohen Arazi 2018-10-13 11:36:03 UTC
Pushed for 18.11. Thanks all!
Comment 12 Martin Renvoize 2018-10-16 12:08:04 UTC
Pushed to 18.05.x for 18.05.05
Comment 13 Fridolin SOMERS 2018-10-24 09:05:12 UTC
Depends on Bug 18789 not in 17.11.x
Comment 14 Fridolin SOMERS 2018-11-09 07:20:07 UTC
Depends on Bug 18789 not in 17.11.x